import { ConfigurationOption } from './configuration.model';
import { ApiConfiguration } from '../api/api.model';
import { SettingConfiguration } from '../setting/setting-configuration.model';
import { ExcelConfiguration } from '../excel/excel.model';
import { GridConfiguration } from '../../controls/grid-control/models/grid-configuration.model';
import { TranslateConfiguration } from '../translate/translate.model';
export declare class ConfigurationService {
    private option;
    constructor();
    setConfig(configurationOption: ConfigurationOption): void;
    getApiConfiguration(): ApiConfiguration;
    getExcelConfiguration(): ExcelConfiguration;
    getSettingConfiguration(): SettingConfiguration;
    getGridConfiguration(): GridConfiguration;
    getTranslateConfiguration(): TranslateConfiguration;
}
